#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a,b;
    cin>>a>>b;
    int x,y;
    cin>>x>>y;
    string s;
    if(a == 0){
        if(b == 0 || b == y){
            s = "nijedan";
        }
        else if(y < b && y!=0){
            s = "drugi";
        }
    }
    else if(a == x){
        if(b == 0 || b == y){
            s = "nijedan";
        }
        else if(y < b && b>0){
                s = "drugi";
        }
    }
    else if (a > x){
        if(b == 0 || b == y ){
            s = "prvi";
        }
        else if(b > y ){
            s = "?";
        }
    }

    if(b == 0){
        if(a == 0 || a == x){
            s = "nijedan";
        }
        else if(x < a && x!=0){
            s = "prvi";
        }
    }
    else if(b == y){
        if (a ==0 || a==x){
            s = "nijedan";
        }
        else if( a>0 && x<a){
            s = "prvi";
        }
    }
    else if( b > y){
        if(a==0 || a==x){
            s = "drugi";
        }
        else if(a > x){
            s = "?";
        }
    }
    cout<<s<<endl;
    return 0;

}